/*
 * Kerio IP filter
 * Copyright (C) Kerio Technologies s.r.o.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#include "hdrs.h"

/**
 *	globals
 */
struct cfg g_linipf_cfg;

int32_t
cfg_init(
	void
	)
{
	g_linipf_cfg.max_buffers = 65536;
	g_linipf_cfg.max_buffers_in_queue = 1024;
	g_linipf_cfg.max_packet_data_size = 8192;
	g_linipf_cfg.max_packet_size = sizeof(struct kipf_packet) + g_linipf_cfg.max_packet_data_size;
	g_linipf_cfg.block_traffic_when_api_is_closed = 1;
	g_linipf_cfg.start_time = get_seconds();
	g_linipf_cfg.timeout_expired = 0;
	g_linipf_cfg.log_flags = 0;

	TRACE(LOG_INFO, "%s: start time: %u", __func__, g_linipf_cfg.start_time);

	return 0;
}

int32_t
cfg_close(
	void
	)
{
	return 0;
}
