/*
 * Kerio IP filter
 * Copyright (C) Kerio Technologies s.r.o.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __HOOKS_H__
#define __HOOKS_H__

#define QUOTE_ME(x) #x
#define QUOTE_MACRO(x) QUOTE_ME(x)
#define TRAMPOLINE(x) \
x \
{ \
    __asm__("movl $"QUOTE_MACRO(__LINE__)", %eax\n\t"\
    "nop\n\t"\
    "nop\n\t"\
    "nop\n\t"\
    "nop\n\t"\
    "nop\n\t"\
    "nop\n\t"\
    "nop\n\t"\
    "nop\n\t"\
    "nop\n\t"\
    "nop\n\t"\
    "nop\n\t"\
    "nop\n\t"\
    "nop\n\t"\
    "nop\n\t"\
    "nop\n\t"\
    "nop\n\t"\
    "nop\n\t"\
    "nop\n\t"\
    "nop\n\t"\
    "nop");\
}

int
hook_prepare_func(
	void *func,
	int bytes_to_replace
	);

int
hook_install(
	void *func,
	void *detour,
	void *trampoline
	);

int
hook_remove(
	void *func,
	void *trampoline,
	int bytes_to_remove
	);

#endif /* __HOOKS_H__ */

