/*
 * Kerio IP filter
 * Copyright (C) Kerio Technologies s.r.o.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __IOCTL_H__
#define __IOCTL_H__

/* Kerio IP Filter IO device */
#define KIPF_IO_DEV								"/dev/kipf"

/*
 *	ioctl's commands
 */
#define KIPF_IOCTL_CANCEL_PENDING_READ			_IO('O', 0)
#define KIPF_IOCTL_GET_INFO						_IOR('O', 1, KIPF_INFO)
#define KIPF_IOCTL_SET_DEFAULT_TRAFFIC_RULE		_IOW('O', 2, unsigned int)
#define KIPF_IOCTL_HANDLE_PACKET				_IOWR('O', 3, IOCTL_REQ)
#define KIPF_IOCTL_SET_NF_IFACE_MODE			_IOW('O', 4, NF_IFACE_MODE)
#define KIPF_IOCTL_SNORT_STARTED				_IO('O', 5)
#define KIPF_IOCTL_WR_STARTED					_IO('O', 6)

#endif // __IOCTL_H__
