/*
 * Kerio IP filter
 * Copyright (C) Kerio Technologies s.r.o.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __PKT_H__
#define __PKT_H__

#define PKT_SOCKET_TAG 0x12345678

int pkt_verdict(struct sk_buff *skb, int verdict);
int32_t pkt_accept(struct kipf_packet *packet);
int32_t pkt_drop(struct kipf_packet *packet);
int32_t pkt_complete(struct kipf_packet *packet);
int32_t pkt_tx_ip(unsigned char *data, unsigned int data_len, struct kipf_route_info *route_info);
int32_t pkt_tx_rx_eth(unsigned char *data, unsigned int data_len, bool tx, struct kipf_route_info *route_info);

#endif // __PKT_H__
