/*
 * Kerio IP Filter library for userspace.
 * Copyright (C) Kerio Technologies s.r.o.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __KIPF_API_H__
#define __KIPF_API_H__

#include <string.h>
#include <ctype.h>
#include <stdio.h>
#include <netinet/in.h>
#include "status.h"

#include "../../../../drivers/ipf/linux/defs.h"
#include "../../../../drivers/ipf/linux/ioctl.h"

#ifdef __cplusplus
extern "C"{
#endif 
kipf_status kipf_open(void);
kipf_status kipf_close(unsigned int rule);

kipf_status kipf_read(struct kipf_request *rreq);
kipf_status kipf_write(struct kipf_request *wreq);

kipf_status kipf_wr_started(void);
kipf_status kipf_cancel_read(void);
kipf_status kipf_get_driver_info(struct kipf_info *info);
kipf_status kipf_set_nf_iface_mode(unsigned int ifindex, unsigned int enabled);

kipf_status kipf_handle_packet(struct kipf_packet *packet);

kipf_status kipf_tx_ip_packet(unsigned char *pkt, unsigned int pkt_len, struct kipf_route_info *ri);
kipf_status kipf_rx_eth_frame(unsigned char *pkt, unsigned int pkt_len, unsigned int ifindex);
kipf_status kipf_tx_eth_frame(unsigned char *pkt, unsigned int pkt_len, unsigned int ifindex);
#ifdef __cplusplus
}
#endif
#endif // __KIPF_API_H__
